
_SoftSpiWriteByte:

;softw5100spi.c,1 :: 		void SoftSpiWriteByte(char DataByte)
;softw5100spi.c,6 :: 		SOFTWARE_W5100_SCK=0;
	BCF        SOFTWARE_W5100_SCK+0, BitPos(SOFTWARE_W5100_SCK+0)
;softw5100spi.c,7 :: 		mask = 0x80;
	MOVLW      128
	MOVWF      R1+0
;softw5100spi.c,9 :: 		SOFTWARE_W5100_SCS=0;
	BCF        SOFTWARE_W5100_SCS+0, BitPos(SOFTWARE_W5100_SCS+0)
;softw5100spi.c,10 :: 		do  {
L_SoftSpiWriteByte0:
;softw5100spi.c,11 :: 		SOFTWARE_W5100_SDO=0;
	BCF        SOFTWARE_W5100_SDO+0, BitPos(SOFTWARE_W5100_SDO+0)
;softw5100spi.c,12 :: 		if (DataByte & mask)SOFTWARE_W5100_SDO=1;
	MOVF       R1+0, 0
	ANDWF      FARG_SoftSpiWriteByte_DataByte+0, 0
	MOVWF      R0+0
	BTFSC      STATUS+0, 2
	GOTO       L_SoftSpiWriteByte3
	BSF        SOFTWARE_W5100_SDO+0, BitPos(SOFTWARE_W5100_SDO+0)
L_SoftSpiWriteByte3:
;softw5100spi.c,13 :: 		SOFTWARE_W5100_SCK=1;
	BSF        SOFTWARE_W5100_SCK+0, BitPos(SOFTWARE_W5100_SCK+0)
;softw5100spi.c,14 :: 		if (SOFTWARE_W5100_SDI) ret |= mask;
	BTFSS      SOFTWARE_W5100_SDI+0, BitPos(SOFTWARE_W5100_SDI+0)
	GOTO       L_SoftSpiWriteByte4
L_SoftSpiWriteByte4:
;softw5100spi.c,15 :: 		delay_us(1);
	NOP
	NOP
;softw5100spi.c,16 :: 		SOFTWARE_W5100_SCK=0;
	BCF        SOFTWARE_W5100_SCK+0, BitPos(SOFTWARE_W5100_SCK+0)
;softw5100spi.c,17 :: 		mask = mask >> 1;
	RRF        R1+0, 1
	BCF        R1+0, 7
;softw5100spi.c,18 :: 		delay_us(1);
	NOP
	NOP
;softw5100spi.c,19 :: 		} while (mask != 0);
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_SoftSpiWriteByte0
;softw5100spi.c,20 :: 		SOFTWARE_W5100_SCS=1;
	BSF        SOFTWARE_W5100_SCS+0, BitPos(SOFTWARE_W5100_SCS+0)
;softw5100spi.c,22 :: 		}
L_end_SoftSpiWriteByte:
	RETURN
; end of _SoftSpiWriteByte

_SoftSpiReadByte:

;softw5100spi.c,25 :: 		char SoftSpiReadByte(char Clock)
;softw5100spi.c,30 :: 		SOFTWARE_W5100_SCK=0;
	BCF        SOFTWARE_W5100_SCK+0, BitPos(SOFTWARE_W5100_SCK+0)
;softw5100spi.c,31 :: 		mask = 0x80;
	MOVLW      128
	MOVWF      R2+0
;softw5100spi.c,32 :: 		ret = 0;
	CLRF       R1+0
;softw5100spi.c,33 :: 		SOFTWARE_W5100_SCS=0;
	BCF        SOFTWARE_W5100_SCS+0, BitPos(SOFTWARE_W5100_SCS+0)
;softw5100spi.c,34 :: 		do  {
L_SoftSpiReadByte5:
;softw5100spi.c,35 :: 		SOFTWARE_W5100_SDO=0;
	BCF        SOFTWARE_W5100_SDO+0, BitPos(SOFTWARE_W5100_SDO+0)
;softw5100spi.c,36 :: 		if (Clock & mask)SOFTWARE_W5100_SDO=1;
	MOVF       R2+0, 0
	ANDWF      FARG_SoftSpiReadByte_Clock+0, 0
	MOVWF      R0+0
	BTFSC      STATUS+0, 2
	GOTO       L_SoftSpiReadByte8
	BSF        SOFTWARE_W5100_SDO+0, BitPos(SOFTWARE_W5100_SDO+0)
L_SoftSpiReadByte8:
;softw5100spi.c,37 :: 		SOFTWARE_W5100_SCK=1;
	BSF        SOFTWARE_W5100_SCK+0, BitPos(SOFTWARE_W5100_SCK+0)
;softw5100spi.c,38 :: 		if (SOFTWARE_W5100_SDI) ret |= mask;
	BTFSS      SOFTWARE_W5100_SDI+0, BitPos(SOFTWARE_W5100_SDI+0)
	GOTO       L_SoftSpiReadByte9
	MOVF       R2+0, 0
	IORWF      R1+0, 1
L_SoftSpiReadByte9:
;softw5100spi.c,39 :: 		delay_us(1);
	NOP
	NOP
;softw5100spi.c,40 :: 		SOFTWARE_W5100_SCK=0;
	BCF        SOFTWARE_W5100_SCK+0, BitPos(SOFTWARE_W5100_SCK+0)
;softw5100spi.c,41 :: 		mask = mask >> 1;
	RRF        R2+0, 1
	BCF        R2+0, 7
;softw5100spi.c,42 :: 		delay_us(1);
	NOP
	NOP
;softw5100spi.c,43 :: 		} while (mask != 0);
	MOVF       R2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_SoftSpiReadByte5
;softw5100spi.c,44 :: 		SOFTWARE_W5100_SCS=1;
	BSF        SOFTWARE_W5100_SCS+0, BitPos(SOFTWARE_W5100_SCS+0)
;softw5100spi.c,45 :: 		return ret;
	MOVF       R1+0, 0
	MOVWF      R0+0
;softw5100spi.c,46 :: 		}
L_end_SoftSpiReadByte:
	RETURN
; end of _SoftSpiReadByte

_Soft_W5100_Hardware_Init:

;softw5100.c,1 :: 		void Soft_W5100_Hardware_Init()
;softw5100.c,3 :: 		SOFTWARE_W5100_SCS=1;
	BSF        SOFTWARE_W5100_SCS+0, BitPos(SOFTWARE_W5100_SCS+0)
;softw5100.c,4 :: 		SOFWTARE_W5100_RESET=1;
	BSF        SOFWTARE_W5100_RESET+0, BitPos(SOFWTARE_W5100_RESET+0)
;softw5100.c,5 :: 		SOFTWARE_W5100_SCK=0;
	BCF        SOFTWARE_W5100_SCK+0, BitPos(SOFTWARE_W5100_SCK+0)
;softw5100.c,6 :: 		SOFTWARE_W5100_SDO=0;
	BCF        SOFTWARE_W5100_SDO+0, BitPos(SOFTWARE_W5100_SDO+0)
;softw5100.c,7 :: 		SOFTWARE_W5100_SDI=0;
	BCF        SOFTWARE_W5100_SDI+0, BitPos(SOFTWARE_W5100_SDI+0)
;softw5100.c,9 :: 		SOFTWARE_W5100_SCS_DIRECTION=0;
	BCF        SOFTWARE_W5100_SCS_DIRECTION+0, BitPos(SOFTWARE_W5100_SCS_DIRECTION+0)
;softw5100.c,10 :: 		SOFWTARE_W5100_RESET_DIRECTION=0;
	BCF        SOFWTARE_W5100_RESET_DIRECTION+0, BitPos(SOFWTARE_W5100_RESET_DIRECTION+0)
;softw5100.c,11 :: 		SOFTWARE_W5100_SCK_DIRECTION=0;
	BCF        SOFTWARE_W5100_SCK_DIRECTION+0, BitPos(SOFTWARE_W5100_SCK_DIRECTION+0)
;softw5100.c,12 :: 		SOFTWARE_W5100_SDO_DIRECTION=0;
	BCF        SOFTWARE_W5100_SDO_DIRECTION+0, BitPos(SOFTWARE_W5100_SDO_DIRECTION+0)
;softw5100.c,13 :: 		SOFTWARE_W5100_SDI_DIRECTION=1;
	BSF        SOFTWARE_W5100_SDI_DIRECTION+0, BitPos(SOFTWARE_W5100_SDI_DIRECTION+0)
;softw5100.c,16 :: 		SOFTWARE_W5100_SCS=1;
	BSF        SOFTWARE_W5100_SCS+0, BitPos(SOFTWARE_W5100_SCS+0)
;softw5100.c,17 :: 		SOFWTARE_W5100_RESET=1;
	BSF        SOFWTARE_W5100_RESET+0, BitPos(SOFWTARE_W5100_RESET+0)
;softw5100.c,18 :: 		delay_ms(10);//Wait For Spi To Init Some Ms's
	MOVLW      33
	MOVWF      R12+0
	MOVLW      118
	MOVWF      R13+0
L_Soft_W5100_Hardware_Init10:
	DECFSZ     R13+0, 1
	GOTO       L_Soft_W5100_Hardware_Init10
	DECFSZ     R12+0, 1
	GOTO       L_Soft_W5100_Hardware_Init10
	NOP
;softw5100.c,20 :: 		SOFWTARE_W5100_RESET=0;
	BCF        SOFWTARE_W5100_RESET+0, BitPos(SOFWTARE_W5100_RESET+0)
;softw5100.c,21 :: 		delay_us(2);//2 us for reset
	NOP
	NOP
	NOP
	NOP
	NOP
;softw5100.c,22 :: 		SOFWTARE_W5100_RESET=1;
	BSF        SOFWTARE_W5100_RESET+0, BitPos(SOFWTARE_W5100_RESET+0)
;softw5100.c,23 :: 		delay_ms(10);//10 ms until reset occurs
	MOVLW      33
	MOVWF      R12+0
	MOVLW      118
	MOVWF      R13+0
L_Soft_W5100_Hardware_Init11:
	DECFSZ     R13+0, 1
	GOTO       L_Soft_W5100_Hardware_Init11
	DECFSZ     R12+0, 1
	GOTO       L_Soft_W5100_Hardware_Init11
	NOP
;softw5100.c,24 :: 		}
L_end_Soft_W5100_Hardware_Init:
	RETURN
; end of _Soft_W5100_Hardware_Init

_Soft_W5100_Write_Byte:

;softw5100.c,27 :: 		void Soft_W5100_Write_Byte(unsigned int Address,unsigned short DATA)
;softw5100.c,31 :: 		HighAddress=(Address&0xff00)>>8;
	MOVLW      0
	ANDWF      FARG_Soft_W5100_Write_Byte_Address+0, 0
	MOVWF      R3+0
	MOVF       FARG_Soft_W5100_Write_Byte_Address+1, 0
	ANDLW      255
	MOVWF      R3+1
	MOVF       R3+1, 0
	MOVWF      R0+0
	CLRF       R0+1
	MOVF       R0+0, 0
	MOVWF      Soft_W5100_Write_Byte_HighAddress_L0+0
;softw5100.c,32 :: 		LowAddress=Address&0x00ff;
	MOVLW      255
	ANDWF      FARG_Soft_W5100_Write_Byte_Address+0, 0
	MOVWF      Soft_W5100_Write_Byte_LowAddress_L0+0
;softw5100.c,34 :: 		SoftSpiWriteByte(WIZNET_WRITE_OPCODE);
	MOVLW      240
	MOVWF      FARG_SoftSpiWriteByte_DataByte+0
	CALL       _SoftSpiWriteByte+0
;softw5100.c,35 :: 		SoftSpiWriteByte(HighAddress);
	MOVF       Soft_W5100_Write_Byte_HighAddress_L0+0, 0
	MOVWF      FARG_SoftSpiWriteByte_DataByte+0
	CALL       _SoftSpiWriteByte+0
;softw5100.c,36 :: 		SoftSpiWriteByte(LowAddress);
	MOVF       Soft_W5100_Write_Byte_LowAddress_L0+0, 0
	MOVWF      FARG_SoftSpiWriteByte_DataByte+0
	CALL       _SoftSpiWriteByte+0
;softw5100.c,37 :: 		SoftSpiWriteByte(DATA);
	MOVF       FARG_Soft_W5100_Write_Byte_DATA+0, 0
	MOVWF      FARG_SoftSpiWriteByte_DataByte+0
	CALL       _SoftSpiWriteByte+0
;softw5100.c,39 :: 		}
L_end_Soft_W5100_Write_Byte:
	RETURN
; end of _Soft_W5100_Write_Byte

_Soft_W5100_Read_Byte:

;softw5100.c,41 :: 		unsigned char Soft_W5100_Read_Byte(unsigned int Address)
;softw5100.c,46 :: 		HighAddress=(Address&0xff00)>>8;
	MOVLW      0
	ANDWF      FARG_Soft_W5100_Read_Byte_Address+0, 0
	MOVWF      R3+0
	MOVF       FARG_Soft_W5100_Read_Byte_Address+1, 0
	ANDLW      255
	MOVWF      R3+1
	MOVF       R3+1, 0
	MOVWF      R0+0
	CLRF       R0+1
	MOVF       R0+0, 0
	MOVWF      Soft_W5100_Read_Byte_HighAddress_L0+0
;softw5100.c,47 :: 		LowAddress=Address&0x00ff;
	MOVLW      255
	ANDWF      FARG_Soft_W5100_Read_Byte_Address+0, 0
	MOVWF      Soft_W5100_Read_Byte_LowAddress_L0+0
;softw5100.c,50 :: 		SoftSpiWriteByte(WIZNET_READ_OPCODE);
	MOVLW      15
	MOVWF      FARG_SoftSpiWriteByte_DataByte+0
	CALL       _SoftSpiWriteByte+0
;softw5100.c,51 :: 		SoftSpiWriteByte(HighAddress);
	MOVF       Soft_W5100_Read_Byte_HighAddress_L0+0, 0
	MOVWF      FARG_SoftSpiWriteByte_DataByte+0
	CALL       _SoftSpiWriteByte+0
;softw5100.c,52 :: 		SoftSpiWriteByte(LowAddress);
	MOVF       Soft_W5100_Read_Byte_LowAddress_L0+0, 0
	MOVWF      FARG_SoftSpiWriteByte_DataByte+0
	CALL       _SoftSpiWriteByte+0
;softw5100.c,53 :: 		Val=SoftSpiReadByte(0);
	CLRF       FARG_SoftSpiReadByte_Clock+0
	CALL       _SoftSpiReadByte+0
;softw5100.c,55 :: 		return val;
;softw5100.c,56 :: 		}
L_end_Soft_W5100_Read_Byte:
	RETURN
; end of _Soft_W5100_Read_Byte

_Soft_W5100_Init:

;softw5100.c,58 :: 		void Soft_W5100_Init(char* IpAddress, char* Subnet, char* Gatway, char* MacAddress)
;softw5100.c,60 :: 		Soft_W5100_Write_Byte(MODE_REGISTER,0x80);//SOFTWARE RESET
	CLRF       FARG_Soft_W5100_Write_Byte_Address+0
	CLRF       FARG_Soft_W5100_Write_Byte_Address+1
	MOVLW      128
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,62 :: 		Soft_W5100_Write_Byte(GATE_WAY_ADDRESS,Gatway[0]);
	MOVLW      1
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVF       FARG_Soft_W5100_Init_Gatway+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,63 :: 		Soft_W5100_Write_Byte(GATE_WAY_ADDRESS+1,Gatway[1]);
	MOVLW      2
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	INCF       FARG_Soft_W5100_Init_Gatway+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,64 :: 		Soft_W5100_Write_Byte(GATE_WAY_ADDRESS+2,Gatway[2]);
	MOVLW      3
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVLW      2
	ADDWF      FARG_Soft_W5100_Init_Gatway+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,65 :: 		Soft_W5100_Write_Byte(GATE_WAY_ADDRESS+3,Gatway[3]);
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVLW      3
	ADDWF      FARG_Soft_W5100_Init_Gatway+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,67 :: 		Soft_W5100_Write_Byte(MAC,MacAddress[0]);
	MOVLW      9
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVF       FARG_Soft_W5100_Init_MacAddress+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,68 :: 		Soft_W5100_Write_Byte(MAC+1,MacAddress[1]);
	MOVLW      10
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	INCF       FARG_Soft_W5100_Init_MacAddress+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,69 :: 		Soft_W5100_Write_Byte(MAC+2,MacAddress[2]);
	MOVLW      11
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVLW      2
	ADDWF      FARG_Soft_W5100_Init_MacAddress+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,70 :: 		Soft_W5100_Write_Byte(MAC+3,MacAddress[3]);
	MOVLW      12
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVLW      3
	ADDWF      FARG_Soft_W5100_Init_MacAddress+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,71 :: 		Soft_W5100_Write_Byte(MAC+4,MacAddress[4]);
	MOVLW      13
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVLW      4
	ADDWF      FARG_Soft_W5100_Init_MacAddress+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,72 :: 		Soft_W5100_Write_Byte(MAC+5,MacAddress[5]);
	MOVLW      14
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVLW      5
	ADDWF      FARG_Soft_W5100_Init_MacAddress+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,74 :: 		Soft_W5100_Write_Byte(SUBNET_MASK,Subnet[0]);
	MOVLW      5
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVF       FARG_Soft_W5100_Init_Subnet+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,75 :: 		Soft_W5100_Write_Byte(SUBNET_MASK+1,Subnet[1]);
	MOVLW      6
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	INCF       FARG_Soft_W5100_Init_Subnet+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,76 :: 		Soft_W5100_Write_Byte(SUBNET_MASK+2,Subnet[2]);
	MOVLW      7
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVLW      2
	ADDWF      FARG_Soft_W5100_Init_Subnet+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,77 :: 		Soft_W5100_Write_Byte(SUBNET_MASK+3,Subnet[3]);
	MOVLW      8
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVLW      3
	ADDWF      FARG_Soft_W5100_Init_Subnet+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,79 :: 		Soft_W5100_Write_Byte(DEVICE_IP,IpAddress[0]);
	MOVLW      15
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVF       FARG_Soft_W5100_Init_IpAddress+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,80 :: 		Soft_W5100_Write_Byte(DEVICE_IP+1,IpAddress[1]);
	MOVLW      16
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	INCF       FARG_Soft_W5100_Init_IpAddress+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,81 :: 		Soft_W5100_Write_Byte(DEVICE_IP+2,IpAddress[2]);
	MOVLW      17
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVLW      2
	ADDWF      FARG_Soft_W5100_Init_IpAddress+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,82 :: 		Soft_W5100_Write_Byte(DEVICE_IP+3,IpAddress[3]);
	MOVLW      18
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVLW      3
	ADDWF      FARG_Soft_W5100_Init_IpAddress+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,84 :: 		Soft_W5100_Write_Byte(RX_MEMORY_SIZE_REGISTER,RX_TX_MALLOC);
	MOVLW      26
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVLW      5
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,85 :: 		Soft_W5100_Write_Byte(TX_MEMORY_SIZE_REGISTER,RX_TX_MALLOC);
	MOVLW      27
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVLW      5
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,86 :: 		}
L_end_Soft_W5100_Init:
	RETURN
; end of _Soft_W5100_Init

_Soft_W5100_CloseSocket:

;softw5100.c,88 :: 		void Soft_W5100_CloseSocket()
;softw5100.c,91 :: 		Soft_W5100_Write_Byte(SOCKET0_CONTROL_REGISTER,SOCKET_CONTROL_REGISTER_CLOSE);
	MOVLW      1
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVLW      16
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,93 :: 		while(Soft_W5100_Read_Byte(SOCKET0_CONTROL_REGISTER));
L_Soft_W5100_CloseSocket12:
	MOVLW      1
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Soft_W5100_CloseSocket13
	GOTO       L_Soft_W5100_CloseSocket12
L_Soft_W5100_CloseSocket13:
;softw5100.c,94 :: 		}
L_end_Soft_W5100_CloseSocket:
	RETURN
; end of _Soft_W5100_CloseSocket

_Soft_W5100_DisconnectSocket:

;softw5100.c,96 :: 		void Soft_W5100_DisconnectSocket()
;softw5100.c,99 :: 		Soft_W5100_Write_Byte(SOCKET0_CONTROL_REGISTER,SOCKET_CONTROL_REGISTER_DISCONNECT);
	MOVLW      1
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVLW      8
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,101 :: 		while(Soft_W5100_Read_Byte(SOCKET0_CONTROL_REGISTER));
L_Soft_W5100_DisconnectSocket14:
	MOVLW      1
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Soft_W5100_DisconnectSocket15
	GOTO       L_Soft_W5100_DisconnectSocket14
L_Soft_W5100_DisconnectSocket15:
;softw5100.c,102 :: 		}
L_end_Soft_W5100_DisconnectSocket:
	RETURN
; end of _Soft_W5100_DisconnectSocket

_Soft_W5100_ReadStatusRegister:

;softw5100.c,104 :: 		unsigned char Soft_W5100_ReadStatusRegister()
;softw5100.c,106 :: 		return Soft_W5100_Read_Byte(SOCKET0_STATUS_REGISTER);
	MOVLW      3
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
;softw5100.c,107 :: 		}
L_end_Soft_W5100_ReadStatusRegister:
	RETURN
; end of _Soft_W5100_ReadStatusRegister

_Soft_W5100_IsSocketClosed:

;softw5100.c,109 :: 		unsigned char Soft_W5100_IsSocketClosed()
;softw5100.c,111 :: 		return (Soft_W5100_Read_Byte(SOCKET0_STATUS_REGISTER) == SOCKET_CLOSED_STATUS);
	MOVLW      3
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	XORLW      0
	MOVLW      1
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       R1+0, 0
	MOVWF      R0+0
;softw5100.c,112 :: 		}
L_end_Soft_W5100_IsSocketClosed:
	RETURN
; end of _Soft_W5100_IsSocketClosed

_Soft_W5100_IsSocketInitialized:

;softw5100.c,114 :: 		unsigned char Soft_W5100_IsSocketInitialized()
;softw5100.c,116 :: 		return (Soft_W5100_Read_Byte(SOCKET0_STATUS_REGISTER) == SOCKET_INIT_STATUS);
	MOVLW      3
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	XORLW      19
	MOVLW      1
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       R1+0, 0
	MOVWF      R0+0
;softw5100.c,117 :: 		}
L_end_Soft_W5100_IsSocketInitialized:
	RETURN
; end of _Soft_W5100_IsSocketInitialized

_Soft_W5100_IsSocketListening:

;softw5100.c,119 :: 		unsigned char Soft_W5100_IsSocketListening()
;softw5100.c,121 :: 		return (Soft_W5100_Read_Byte(SOCKET0_STATUS_REGISTER) == SOCKET_LISTEN_STATUS);
	MOVLW      3
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	XORLW      20
	MOVLW      1
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       R1+0, 0
	MOVWF      R0+0
;softw5100.c,122 :: 		}
L_end_Soft_W5100_IsSocketListening:
	RETURN
; end of _Soft_W5100_IsSocketListening

_Soft_W5100_InitSocket:

;softw5100.c,127 :: 		unsigned char Soft_W5100_InitSocket(unsigned int PORT)
;softw5100.c,133 :: 		Error=1;
	MOVLW      1
	MOVWF      Soft_W5100_InitSocket_Error_L0+0
;softw5100.c,135 :: 		if (Soft_W5100_IsSocketClosed())Soft_W5100_CloseSocket();
	CALL       _Soft_W5100_IsSocketClosed+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Soft_W5100_InitSocket16
	CALL       _Soft_W5100_CloseSocket+0
L_Soft_W5100_InitSocket16:
;softw5100.c,138 :: 		Soft_W5100_Write_Byte(SOCKET0_MODE_REGISTER,SOCKET0_MODE_REGISTER_TCP);
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVLW      1
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,141 :: 		HighByte=(PORT&0xff00)>>8;
	MOVLW      0
	ANDWF      FARG_Soft_W5100_InitSocket_PORT+0, 0
	MOVWF      R3+0
	MOVF       FARG_Soft_W5100_InitSocket_PORT+1, 0
	ANDLW      255
	MOVWF      R3+1
	MOVF       R3+1, 0
	MOVWF      R0+0
	CLRF       R0+1
;softw5100.c,142 :: 		LowByte=(PORT&0x00ff);
	MOVLW      255
	ANDWF      FARG_Soft_W5100_InitSocket_PORT+0, 0
	MOVWF      Soft_W5100_InitSocket_LowByte_L0+0
;softw5100.c,143 :: 		Soft_W5100_Write_Byte(SOCKET0_LOCAL_PORT,HighByte);
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVF       R0+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,144 :: 		Soft_W5100_Write_Byte(SOCKET0_LOCAL_PORT+1,LowByte);
	MOVLW      5
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVF       Soft_W5100_InitSocket_LowByte_L0+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,146 :: 		Soft_W5100_Write_Byte(SOCKET0_CONTROL_REGISTER,SOCKET_CONTROL_REGISTER_OPEN);
	MOVLW      1
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVLW      1
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,149 :: 		while(Soft_W5100_Read_Byte(SOCKET0_CONTROL_REGISTER));
L_Soft_W5100_InitSocket17:
	MOVLW      1
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Soft_W5100_InitSocket18
	GOTO       L_Soft_W5100_InitSocket17
L_Soft_W5100_InitSocket18:
;softw5100.c,152 :: 		if (Soft_W5100_IsSocketInitialized())
	CALL       _Soft_W5100_IsSocketInitialized+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Soft_W5100_InitSocket19
;softw5100.c,153 :: 		Error=0;
	CLRF       Soft_W5100_InitSocket_Error_L0+0
	GOTO       L_Soft_W5100_InitSocket20
L_Soft_W5100_InitSocket19:
;softw5100.c,155 :: 		Soft_W5100_CloseSocket();
	CALL       _Soft_W5100_CloseSocket+0
L_Soft_W5100_InitSocket20:
;softw5100.c,157 :: 		return Error;
	MOVF       Soft_W5100_InitSocket_Error_L0+0, 0
	MOVWF      R0+0
;softw5100.c,158 :: 		}
L_end_Soft_W5100_InitSocket:
	RETURN
; end of _Soft_W5100_InitSocket

_Soft_W5100_StartListening:

;softw5100.c,161 :: 		unsigned char Soft_W5100_StartListening()
;softw5100.c,164 :: 		Error=1;
	MOVLW      1
	MOVWF      Soft_W5100_StartListening_Error_L0+0
;softw5100.c,166 :: 		if (Soft_W5100_IsSocketInitialized)
	MOVLW      _Soft_W5100_IsSocketInitialized+0
	MOVWF      R0+0
	MOVLW      hi_addr(_Soft_W5100_IsSocketInitialized+0)
	MOVWF      R0+1
	MOVLW      0
	MOVWF      R0+2
	MOVF       R0+0, 0
	IORWF      R0+1, 0
	IORWF      R0+2, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Soft_W5100_StartListening21
;softw5100.c,169 :: 		Soft_W5100_Write_Byte(SOCKET0_CONTROL_REGISTER,SOCKET_CONTROL_REGISTER_LISTEN);
	MOVLW      1
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVLW      2
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,171 :: 		while(Soft_W5100_Read_Byte(SOCKET0_CONTROL_REGISTER));
L_Soft_W5100_StartListening22:
	MOVLW      1
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Soft_W5100_StartListening23
	GOTO       L_Soft_W5100_StartListening22
L_Soft_W5100_StartListening23:
;softw5100.c,173 :: 		if (Soft_W5100_IsSocketListening())
	CALL       _Soft_W5100_IsSocketListening+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Soft_W5100_StartListening24
;softw5100.c,174 :: 		Error=0;
	CLRF       Soft_W5100_StartListening_Error_L0+0
	GOTO       L_Soft_W5100_StartListening25
L_Soft_W5100_StartListening24:
;softw5100.c,176 :: 		Soft_W5100_CloseSocket();
	CALL       _Soft_W5100_CloseSocket+0
L_Soft_W5100_StartListening25:
;softw5100.c,177 :: 		}
L_Soft_W5100_StartListening21:
;softw5100.c,178 :: 		return Error;
	MOVF       Soft_W5100_StartListening_Error_L0+0, 0
	MOVWF      R0+0
;softw5100.c,179 :: 		}
L_end_Soft_W5100_StartListening:
	RETURN
; end of _Soft_W5100_StartListening

_Soft_W5100_WriteTxBuffer:

;softw5100.c,181 :: 		void Soft_W5100_WriteTxBuffer(unsigned int Address, char* Data, unsigned int Size)
;softw5100.c,184 :: 		for(i=0;i<Size;i++,Address++)
	CLRF       Soft_W5100_WriteTxBuffer_i_L0+0
	CLRF       Soft_W5100_WriteTxBuffer_i_L0+1
L_Soft_W5100_WriteTxBuffer26:
	MOVF       FARG_Soft_W5100_WriteTxBuffer_Size+1, 0
	SUBWF      Soft_W5100_WriteTxBuffer_i_L0+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Soft_W5100_WriteTxBuffer74
	MOVF       FARG_Soft_W5100_WriteTxBuffer_Size+0, 0
	SUBWF      Soft_W5100_WriteTxBuffer_i_L0+0, 0
L__Soft_W5100_WriteTxBuffer74:
	BTFSC      STATUS+0, 0
	GOTO       L_Soft_W5100_WriteTxBuffer27
;softw5100.c,186 :: 		Soft_W5100_Write_Byte(Address,Data[i]);
	MOVF       FARG_Soft_W5100_WriteTxBuffer_Address+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVF       FARG_Soft_W5100_WriteTxBuffer_Address+1, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVF       Soft_W5100_WriteTxBuffer_i_L0+0, 0
	ADDWF      FARG_Soft_W5100_WriteTxBuffer_Data+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,184 :: 		for(i=0;i<Size;i++,Address++)
	INCF       Soft_W5100_WriteTxBuffer_i_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       Soft_W5100_WriteTxBuffer_i_L0+1, 1
	INCF       FARG_Soft_W5100_WriteTxBuffer_Address+0, 1
	BTFSC      STATUS+0, 2
	INCF       FARG_Soft_W5100_WriteTxBuffer_Address+1, 1
;softw5100.c,187 :: 		}
	GOTO       L_Soft_W5100_WriteTxBuffer26
L_Soft_W5100_WriteTxBuffer27:
;softw5100.c,188 :: 		}
L_end_Soft_W5100_WriteTxBuffer:
	RETURN
; end of _Soft_W5100_WriteTxBuffer

_Soft_W5100_ConstWriteTxBuffer:

;softw5100.c,190 :: 		void Soft_W5100_ConstWriteTxBuffer(unsigned int Address, const char* Data, unsigned int Size)
;softw5100.c,193 :: 		for(i=0;i<Size;i++,Address++)
	CLRF       Soft_W5100_ConstWriteTxBuffer_i_L0+0
	CLRF       Soft_W5100_ConstWriteTxBuffer_i_L0+1
L_Soft_W5100_ConstWriteTxBuffer29:
	MOVF       FARG_Soft_W5100_ConstWriteTxBuffer_Size+1, 0
	SUBWF      Soft_W5100_ConstWriteTxBuffer_i_L0+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Soft_W5100_ConstWriteTxBuffer76
	MOVF       FARG_Soft_W5100_ConstWriteTxBuffer_Size+0, 0
	SUBWF      Soft_W5100_ConstWriteTxBuffer_i_L0+0, 0
L__Soft_W5100_ConstWriteTxBuffer76:
	BTFSC      STATUS+0, 0
	GOTO       L_Soft_W5100_ConstWriteTxBuffer30
;softw5100.c,195 :: 		Soft_W5100_Write_Byte(Address,Data[i]);
	MOVF       FARG_Soft_W5100_ConstWriteTxBuffer_Address+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVF       FARG_Soft_W5100_ConstWriteTxBuffer_Address+1, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVF       Soft_W5100_ConstWriteTxBuffer_i_L0+0, 0
	ADDWF      FARG_Soft_W5100_ConstWriteTxBuffer_Data+0, 0
	MOVWF      R0+0
	MOVF       FARG_Soft_W5100_ConstWriteTxBuffer_Data+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      Soft_W5100_ConstWriteTxBuffer_i_L0+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,193 :: 		for(i=0;i<Size;i++,Address++)
	INCF       Soft_W5100_ConstWriteTxBuffer_i_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       Soft_W5100_ConstWriteTxBuffer_i_L0+1, 1
	INCF       FARG_Soft_W5100_ConstWriteTxBuffer_Address+0, 1
	BTFSC      STATUS+0, 2
	INCF       FARG_Soft_W5100_ConstWriteTxBuffer_Address+1, 1
;softw5100.c,196 :: 		}
	GOTO       L_Soft_W5100_ConstWriteTxBuffer29
L_Soft_W5100_ConstWriteTxBuffer30:
;softw5100.c,197 :: 		}
L_end_Soft_W5100_ConstWriteTxBuffer:
	RETURN
; end of _Soft_W5100_ConstWriteTxBuffer

_Soft_W5100_ReadRxBuffer:

;softw5100.c,199 :: 		void Soft_W5100_ReadRxBuffer(unsigned int Address, char* Destination, unsigned int Size)
;softw5100.c,202 :: 		for(i=0;i<Size;i++,Address++)
	CLRF       Soft_W5100_ReadRxBuffer_i_L0+0
	CLRF       Soft_W5100_ReadRxBuffer_i_L0+1
L_Soft_W5100_ReadRxBuffer32:
	MOVF       FARG_Soft_W5100_ReadRxBuffer_Size+1, 0
	SUBWF      Soft_W5100_ReadRxBuffer_i_L0+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Soft_W5100_ReadRxBuffer78
	MOVF       FARG_Soft_W5100_ReadRxBuffer_Size+0, 0
	SUBWF      Soft_W5100_ReadRxBuffer_i_L0+0, 0
L__Soft_W5100_ReadRxBuffer78:
	BTFSC      STATUS+0, 0
	GOTO       L_Soft_W5100_ReadRxBuffer33
;softw5100.c,204 :: 		Destination[i]=Soft_W5100_Read_Byte(Address);
	MOVF       Soft_W5100_ReadRxBuffer_i_L0+0, 0
	ADDWF      FARG_Soft_W5100_ReadRxBuffer_Destination+0, 0
	MOVWF      FLOC__Soft_W5100_ReadRxBuffer+0
	MOVF       FARG_Soft_W5100_ReadRxBuffer_Address+0, 0
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVF       FARG_Soft_W5100_ReadRxBuffer_Address+1, 0
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       FLOC__Soft_W5100_ReadRxBuffer+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;softw5100.c,202 :: 		for(i=0;i<Size;i++,Address++)
	INCF       Soft_W5100_ReadRxBuffer_i_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       Soft_W5100_ReadRxBuffer_i_L0+1, 1
	INCF       FARG_Soft_W5100_ReadRxBuffer_Address+0, 1
	BTFSC      STATUS+0, 2
	INCF       FARG_Soft_W5100_ReadRxBuffer_Address+1, 1
;softw5100.c,205 :: 		}
	GOTO       L_Soft_W5100_ReadRxBuffer32
L_Soft_W5100_ReadRxBuffer33:
;softw5100.c,206 :: 		}
L_end_Soft_W5100_ReadRxBuffer:
	RETURN
; end of _Soft_W5100_ReadRxBuffer

_Soft_W5100_Write_Page:

;softw5100.c,208 :: 		unsigned char Soft_W5100_Write_Page(char* TxBuffer, unsigned int SendSize)
;softw5100.c,221 :: 		MemoryPointer =(unsigned int)Soft_W5100_Read_Byte(SOCKET0_TX_WRITE_PTR);
	MOVLW      36
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      Soft_W5100_Write_Page_MemoryPointer_L0+0
	CLRF       Soft_W5100_Write_Page_MemoryPointer_L0+1
;softw5100.c,222 :: 		MemoryPointer=MemoryPointer<<8;
	MOVF       Soft_W5100_Write_Page_MemoryPointer_L0+0, 0
	MOVWF      Soft_W5100_Write_Page_MemoryPointer_L0+1
	CLRF       Soft_W5100_Write_Page_MemoryPointer_L0+0
;softw5100.c,223 :: 		MemoryPointer=MemoryPointer|(unsigned int)Soft_W5100_Read_Byte(SOCKET0_TX_WRITE_PTR+1);
	MOVLW      37
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVLW      0
	MOVWF      R0+1
	MOVF       Soft_W5100_Write_Page_MemoryPointer_L0+0, 0
	IORWF      R0+0, 1
	MOVF       Soft_W5100_Write_Page_MemoryPointer_L0+1, 0
	IORWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      Soft_W5100_Write_Page_MemoryPointer_L0+0
	MOVF       R0+1, 0
	MOVWF      Soft_W5100_Write_Page_MemoryPointer_L0+1
;softw5100.c,225 :: 		GetOffset=MemoryPointer&TX_BUF_MASK;
	MOVLW      255
	ANDWF      R0+0, 1
	MOVLW      7
	ANDWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      Soft_W5100_Write_Page_GetOffset_L0+0
	MOVF       R0+1, 0
	MOVWF      Soft_W5100_Write_Page_GetOffset_L0+1
;softw5100.c,226 :: 		PhisycalAddress=BASE_TX_BUFFER+GetOffset;
	MOVF       R0+0, 0
	ADDLW      0
	MOVWF      Soft_W5100_Write_Page_PhisycalAddress_L0+0
	MOVLW      64
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      R0+1, 0
	MOVWF      Soft_W5100_Write_Page_PhisycalAddress_L0+1
;softw5100.c,228 :: 		if(GetOffset+SendSize>TX_BUF_MASK+1)
	MOVF       FARG_Soft_W5100_Write_Page_SendSize+0, 0
	ADDWF      R0+0, 0
	MOVWF      R2+0
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      FARG_Soft_W5100_Write_Page_SendSize+1, 0
	MOVWF      R2+1
	MOVF       R2+1, 0
	SUBLW      8
	BTFSS      STATUS+0, 2
	GOTO       L__Soft_W5100_Write_Page80
	MOVF       R2+0, 0
	SUBLW      0
L__Soft_W5100_Write_Page80:
	BTFSC      STATUS+0, 0
	GOTO       L_Soft_W5100_Write_Page35
;softw5100.c,230 :: 		FreeSize=(TX_BUF_MASK+1)-GetOffset;
	MOVF       Soft_W5100_Write_Page_GetOffset_L0+0, 0
	SUBLW      0
	MOVWF      R0+0
	MOVF       Soft_W5100_Write_Page_GetOffset_L0+1, 0
	BTFSS      STATUS+0, 0
	ADDLW      1
	SUBLW      8
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      Soft_W5100_Write_Page_FreeSize_L0+0
	MOVF       R0+1, 0
	MOVWF      Soft_W5100_Write_Page_FreeSize_L0+1
;softw5100.c,231 :: 		Soft_W5100_WriteTxBuffer(PhisycalAddress,TxBuffer,FreeSize);
	MOVF       Soft_W5100_Write_Page_PhisycalAddress_L0+0, 0
	MOVWF      FARG_Soft_W5100_WriteTxBuffer_Address+0
	MOVF       Soft_W5100_Write_Page_PhisycalAddress_L0+1, 0
	MOVWF      FARG_Soft_W5100_WriteTxBuffer_Address+1
	MOVF       FARG_Soft_W5100_Write_Page_TxBuffer+0, 0
	MOVWF      FARG_Soft_W5100_WriteTxBuffer_Data+0
	MOVF       R0+0, 0
	MOVWF      FARG_Soft_W5100_WriteTxBuffer_Size+0
	MOVF       R0+1, 0
	MOVWF      FARG_Soft_W5100_WriteTxBuffer_Size+1
	CALL       _Soft_W5100_WriteTxBuffer+0
;softw5100.c,232 :: 		Soft_W5100_WriteTxBuffer(BASE_TX_BUFFER,TxBuffer+FreeSize,SendSize-FreeSize);
	MOVLW      0
	MOVWF      FARG_Soft_W5100_WriteTxBuffer_Address+0
	MOVLW      64
	MOVWF      FARG_Soft_W5100_WriteTxBuffer_Address+1
	MOVF       Soft_W5100_Write_Page_FreeSize_L0+0, 0
	ADDWF      FARG_Soft_W5100_Write_Page_TxBuffer+0, 0
	MOVWF      FARG_Soft_W5100_WriteTxBuffer_Data+0
	MOVF       Soft_W5100_Write_Page_FreeSize_L0+0, 0
	SUBWF      FARG_Soft_W5100_Write_Page_SendSize+0, 0
	MOVWF      FARG_Soft_W5100_WriteTxBuffer_Size+0
	MOVF       Soft_W5100_Write_Page_FreeSize_L0+1, 0
	BTFSS      STATUS+0, 0
	ADDLW      1
	SUBWF      FARG_Soft_W5100_Write_Page_SendSize+1, 0
	MOVWF      FARG_Soft_W5100_WriteTxBuffer_Size+1
	CALL       _Soft_W5100_WriteTxBuffer+0
;softw5100.c,233 :: 		}
	GOTO       L_Soft_W5100_Write_Page36
L_Soft_W5100_Write_Page35:
;softw5100.c,236 :: 		Soft_W5100_WriteTxBuffer(PhisycalAddress,TxBuffer,SendSize);
	MOVF       Soft_W5100_Write_Page_PhisycalAddress_L0+0, 0
	MOVWF      FARG_Soft_W5100_WriteTxBuffer_Address+0
	MOVF       Soft_W5100_Write_Page_PhisycalAddress_L0+1, 0
	MOVWF      FARG_Soft_W5100_WriteTxBuffer_Address+1
	MOVF       FARG_Soft_W5100_Write_Page_TxBuffer+0, 0
	MOVWF      FARG_Soft_W5100_WriteTxBuffer_Data+0
	MOVF       FARG_Soft_W5100_Write_Page_SendSize+0, 0
	MOVWF      FARG_Soft_W5100_WriteTxBuffer_Size+0
	MOVF       FARG_Soft_W5100_Write_Page_SendSize+1, 0
	MOVWF      FARG_Soft_W5100_WriteTxBuffer_Size+1
	CALL       _Soft_W5100_WriteTxBuffer+0
;softw5100.c,237 :: 		}
L_Soft_W5100_Write_Page36:
;softw5100.c,239 :: 		MemoryPointer+=SendSize;
	MOVF       FARG_Soft_W5100_Write_Page_SendSize+0, 0
	ADDWF      Soft_W5100_Write_Page_MemoryPointer_L0+0, 0
	MOVWF      R5+0
	MOVF       Soft_W5100_Write_Page_MemoryPointer_L0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      FARG_Soft_W5100_Write_Page_SendSize+1, 0
	MOVWF      R5+1
	MOVF       R5+0, 0
	MOVWF      Soft_W5100_Write_Page_MemoryPointer_L0+0
	MOVF       R5+1, 0
	MOVWF      Soft_W5100_Write_Page_MemoryPointer_L0+1
;softw5100.c,243 :: 		HighByte=(MemoryPointer&0xff00)>>8;
	MOVLW      0
	ANDWF      R5+0, 0
	MOVWF      R3+0
	MOVF       R5+1, 0
	ANDLW      255
	MOVWF      R3+1
	MOVF       R3+1, 0
	MOVWF      R0+0
	CLRF       R0+1
;softw5100.c,244 :: 		LowByte=MemoryPointer&0x00ff;
	MOVLW      255
	ANDWF      R5+0, 0
	MOVWF      Soft_W5100_Write_Page_LowByte_L0+0
;softw5100.c,245 :: 		Soft_W5100_Write_Byte(SOCKET0_TX_WRITE_PTR,HighByte);
	MOVLW      36
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVF       R0+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,246 :: 		Soft_W5100_Write_Byte(SOCKET0_TX_WRITE_PTR+1,LowByte);
	MOVLW      37
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVF       Soft_W5100_Write_Page_LowByte_L0+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,248 :: 		return 0;
	CLRF       R0+0
;softw5100.c,249 :: 		}
L_end_Soft_W5100_Write_Page:
	RETURN
; end of _Soft_W5100_Write_Page

_Soft_W5100_Write_ConstPage:

;softw5100.c,253 :: 		unsigned char Soft_W5100_Write_ConstPage(const char* TxBuffer, unsigned int SendSize)
;softw5100.c,266 :: 		MemoryPointer =(unsigned int)Soft_W5100_Read_Byte(SOCKET0_TX_WRITE_PTR);
	MOVLW      36
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      Soft_W5100_Write_ConstPage_MemoryPointer_L0+0
	CLRF       Soft_W5100_Write_ConstPage_MemoryPointer_L0+1
;softw5100.c,267 :: 		MemoryPointer=MemoryPointer<<8;
	MOVF       Soft_W5100_Write_ConstPage_MemoryPointer_L0+0, 0
	MOVWF      Soft_W5100_Write_ConstPage_MemoryPointer_L0+1
	CLRF       Soft_W5100_Write_ConstPage_MemoryPointer_L0+0
;softw5100.c,268 :: 		MemoryPointer=MemoryPointer|(unsigned int)Soft_W5100_Read_Byte(SOCKET0_TX_WRITE_PTR+1);
	MOVLW      37
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVLW      0
	MOVWF      R0+1
	MOVF       Soft_W5100_Write_ConstPage_MemoryPointer_L0+0, 0
	IORWF      R0+0, 1
	MOVF       Soft_W5100_Write_ConstPage_MemoryPointer_L0+1, 0
	IORWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      Soft_W5100_Write_ConstPage_MemoryPointer_L0+0
	MOVF       R0+1, 0
	MOVWF      Soft_W5100_Write_ConstPage_MemoryPointer_L0+1
;softw5100.c,270 :: 		GetOffset=MemoryPointer&TX_BUF_MASK;
	MOVLW      255
	ANDWF      R0+0, 1
	MOVLW      7
	ANDWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      Soft_W5100_Write_ConstPage_GetOffset_L0+0
	MOVF       R0+1, 0
	MOVWF      Soft_W5100_Write_ConstPage_GetOffset_L0+1
;softw5100.c,271 :: 		PhisycalAddress=BASE_TX_BUFFER+GetOffset;
	MOVF       R0+0, 0
	ADDLW      0
	MOVWF      Soft_W5100_Write_ConstPage_PhisycalAddress_L0+0
	MOVLW      64
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      R0+1, 0
	MOVWF      Soft_W5100_Write_ConstPage_PhisycalAddress_L0+1
;softw5100.c,273 :: 		if(GetOffset+SendSize>TX_BUF_MASK+1)
	MOVF       FARG_Soft_W5100_Write_ConstPage_SendSize+0, 0
	ADDWF      R0+0, 0
	MOVWF      R2+0
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      FARG_Soft_W5100_Write_ConstPage_SendSize+1, 0
	MOVWF      R2+1
	MOVF       R2+1, 0
	SUBLW      8
	BTFSS      STATUS+0, 2
	GOTO       L__Soft_W5100_Write_ConstPage82
	MOVF       R2+0, 0
	SUBLW      0
L__Soft_W5100_Write_ConstPage82:
	BTFSC      STATUS+0, 0
	GOTO       L_Soft_W5100_Write_ConstPage37
;softw5100.c,275 :: 		FreeSize=(TX_BUF_MASK+1)-GetOffset;
	MOVF       Soft_W5100_Write_ConstPage_GetOffset_L0+0, 0
	SUBLW      0
	MOVWF      R0+0
	MOVF       Soft_W5100_Write_ConstPage_GetOffset_L0+1, 0
	BTFSS      STATUS+0, 0
	ADDLW      1
	SUBLW      8
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      Soft_W5100_Write_ConstPage_FreeSize_L0+0
	MOVF       R0+1, 0
	MOVWF      Soft_W5100_Write_ConstPage_FreeSize_L0+1
;softw5100.c,276 :: 		Soft_W5100_ConstWriteTxBuffer(PhisycalAddress,TxBuffer,FreeSize);
	MOVF       Soft_W5100_Write_ConstPage_PhisycalAddress_L0+0, 0
	MOVWF      FARG_Soft_W5100_ConstWriteTxBuffer_Address+0
	MOVF       Soft_W5100_Write_ConstPage_PhisycalAddress_L0+1, 0
	MOVWF      FARG_Soft_W5100_ConstWriteTxBuffer_Address+1
	MOVF       FARG_Soft_W5100_Write_ConstPage_TxBuffer+0, 0
	MOVWF      FARG_Soft_W5100_ConstWriteTxBuffer_Data+0
	MOVF       FARG_Soft_W5100_Write_ConstPage_TxBuffer+1, 0
	MOVWF      FARG_Soft_W5100_ConstWriteTxBuffer_Data+1
	MOVF       R0+0, 0
	MOVWF      FARG_Soft_W5100_ConstWriteTxBuffer_Size+0
	MOVF       R0+1, 0
	MOVWF      FARG_Soft_W5100_ConstWriteTxBuffer_Size+1
	CALL       _Soft_W5100_ConstWriteTxBuffer+0
;softw5100.c,277 :: 		Soft_W5100_ConstWriteTxBuffer(BASE_TX_BUFFER,TxBuffer+FreeSize,SendSize-FreeSize);
	MOVLW      0
	MOVWF      FARG_Soft_W5100_ConstWriteTxBuffer_Address+0
	MOVLW      64
	MOVWF      FARG_Soft_W5100_ConstWriteTxBuffer_Address+1
	MOVF       Soft_W5100_Write_ConstPage_FreeSize_L0+0, 0
	ADDWF      FARG_Soft_W5100_Write_ConstPage_TxBuffer+0, 0
	MOVWF      FARG_Soft_W5100_ConstWriteTxBuffer_Data+0
	MOVF       FARG_Soft_W5100_Write_ConstPage_TxBuffer+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      Soft_W5100_Write_ConstPage_FreeSize_L0+1, 0
	MOVWF      FARG_Soft_W5100_ConstWriteTxBuffer_Data+1
	MOVF       Soft_W5100_Write_ConstPage_FreeSize_L0+0, 0
	SUBWF      FARG_Soft_W5100_Write_ConstPage_SendSize+0, 0
	MOVWF      FARG_Soft_W5100_ConstWriteTxBuffer_Size+0
	MOVF       Soft_W5100_Write_ConstPage_FreeSize_L0+1, 0
	BTFSS      STATUS+0, 0
	ADDLW      1
	SUBWF      FARG_Soft_W5100_Write_ConstPage_SendSize+1, 0
	MOVWF      FARG_Soft_W5100_ConstWriteTxBuffer_Size+1
	CALL       _Soft_W5100_ConstWriteTxBuffer+0
;softw5100.c,278 :: 		}
	GOTO       L_Soft_W5100_Write_ConstPage38
L_Soft_W5100_Write_ConstPage37:
;softw5100.c,281 :: 		Soft_W5100_ConstWriteTxBuffer(PhisycalAddress,TxBuffer,SendSize);
	MOVF       Soft_W5100_Write_ConstPage_PhisycalAddress_L0+0, 0
	MOVWF      FARG_Soft_W5100_ConstWriteTxBuffer_Address+0
	MOVF       Soft_W5100_Write_ConstPage_PhisycalAddress_L0+1, 0
	MOVWF      FARG_Soft_W5100_ConstWriteTxBuffer_Address+1
	MOVF       FARG_Soft_W5100_Write_ConstPage_TxBuffer+0, 0
	MOVWF      FARG_Soft_W5100_ConstWriteTxBuffer_Data+0
	MOVF       FARG_Soft_W5100_Write_ConstPage_TxBuffer+1, 0
	MOVWF      FARG_Soft_W5100_ConstWriteTxBuffer_Data+1
	MOVF       FARG_Soft_W5100_Write_ConstPage_SendSize+0, 0
	MOVWF      FARG_Soft_W5100_ConstWriteTxBuffer_Size+0
	MOVF       FARG_Soft_W5100_Write_ConstPage_SendSize+1, 0
	MOVWF      FARG_Soft_W5100_ConstWriteTxBuffer_Size+1
	CALL       _Soft_W5100_ConstWriteTxBuffer+0
;softw5100.c,282 :: 		}
L_Soft_W5100_Write_ConstPage38:
;softw5100.c,284 :: 		MemoryPointer+=SendSize;
	MOVF       FARG_Soft_W5100_Write_ConstPage_SendSize+0, 0
	ADDWF      Soft_W5100_Write_ConstPage_MemoryPointer_L0+0, 0
	MOVWF      R5+0
	MOVF       Soft_W5100_Write_ConstPage_MemoryPointer_L0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      FARG_Soft_W5100_Write_ConstPage_SendSize+1, 0
	MOVWF      R5+1
	MOVF       R5+0, 0
	MOVWF      Soft_W5100_Write_ConstPage_MemoryPointer_L0+0
	MOVF       R5+1, 0
	MOVWF      Soft_W5100_Write_ConstPage_MemoryPointer_L0+1
;softw5100.c,288 :: 		HighByte=(MemoryPointer&0xff00)>>8;
	MOVLW      0
	ANDWF      R5+0, 0
	MOVWF      R3+0
	MOVF       R5+1, 0
	ANDLW      255
	MOVWF      R3+1
	MOVF       R3+1, 0
	MOVWF      R0+0
	CLRF       R0+1
;softw5100.c,289 :: 		LowByte=MemoryPointer&0x00ff;
	MOVLW      255
	ANDWF      R5+0, 0
	MOVWF      Soft_W5100_Write_ConstPage_LowByte_L0+0
;softw5100.c,290 :: 		Soft_W5100_Write_Byte(SOCKET0_TX_WRITE_PTR,HighByte);
	MOVLW      36
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVF       R0+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,291 :: 		Soft_W5100_Write_Byte(SOCKET0_TX_WRITE_PTR+1,LowByte);
	MOVLW      37
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVF       Soft_W5100_Write_ConstPage_LowByte_L0+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,293 :: 		return 0;
	CLRF       R0+0
;softw5100.c,294 :: 		}
L_end_Soft_W5100_Write_ConstPage:
	RETURN
; end of _Soft_W5100_Write_ConstPage

_Soft_W5100_Get_Request:

;softw5100.c,298 :: 		unsigned char Soft_W5100_Get_Request(char* ReceiveBuffer, unsigned int ReceiveSize)
;softw5100.c,310 :: 		MemoryPointer =(unsigned int)Soft_W5100_Read_Byte(SOCKET0_RX_READ_PTR);
	MOVLW      40
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      Soft_W5100_Get_Request_MemoryPointer_L0+0
	CLRF       Soft_W5100_Get_Request_MemoryPointer_L0+1
;softw5100.c,311 :: 		MemoryPointer=MemoryPointer<<8;
	MOVF       Soft_W5100_Get_Request_MemoryPointer_L0+0, 0
	MOVWF      Soft_W5100_Get_Request_MemoryPointer_L0+1
	CLRF       Soft_W5100_Get_Request_MemoryPointer_L0+0
;softw5100.c,312 :: 		MemoryPointer=MemoryPointer|(unsigned int)Soft_W5100_Read_Byte(SOCKET0_RX_READ_PTR+1);
	MOVLW      41
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVLW      0
	MOVWF      R0+1
	MOVF       Soft_W5100_Get_Request_MemoryPointer_L0+0, 0
	IORWF      R0+0, 1
	MOVF       Soft_W5100_Get_Request_MemoryPointer_L0+1, 0
	IORWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      Soft_W5100_Get_Request_MemoryPointer_L0+0
	MOVF       R0+1, 0
	MOVWF      Soft_W5100_Get_Request_MemoryPointer_L0+1
;softw5100.c,314 :: 		GetOffset=MemoryPointer&RX_BUF_MASK;
	MOVLW      255
	ANDWF      R0+0, 1
	MOVLW      7
	ANDWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      Soft_W5100_Get_Request_GetOffset_L0+0
	MOVF       R0+1, 0
	MOVWF      Soft_W5100_Get_Request_GetOffset_L0+1
;softw5100.c,315 :: 		PhisycalAddress=BASE_RX_BUFFER+GetOffset;
	MOVF       R0+0, 0
	ADDLW      0
	MOVWF      Soft_W5100_Get_Request_PhisycalAddress_L0+0
	MOVLW      96
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      R0+1, 0
	MOVWF      Soft_W5100_Get_Request_PhisycalAddress_L0+1
;softw5100.c,317 :: 		if(GetOffset+ReceiveSize>RX_BUF_MASK+1)
	MOVF       FARG_Soft_W5100_Get_Request_ReceiveSize+0, 0
	ADDWF      R0+0, 0
	MOVWF      R2+0
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      FARG_Soft_W5100_Get_Request_ReceiveSize+1, 0
	MOVWF      R2+1
	MOVF       R2+1, 0
	SUBLW      8
	BTFSS      STATUS+0, 2
	GOTO       L__Soft_W5100_Get_Request84
	MOVF       R2+0, 0
	SUBLW      0
L__Soft_W5100_Get_Request84:
	BTFSC      STATUS+0, 0
	GOTO       L_Soft_W5100_Get_Request39
;softw5100.c,319 :: 		FreeSize=(RX_BUF_MASK+1)-GetOffset;
	MOVF       Soft_W5100_Get_Request_GetOffset_L0+0, 0
	SUBLW      0
	MOVWF      R0+0
	MOVF       Soft_W5100_Get_Request_GetOffset_L0+1, 0
	BTFSS      STATUS+0, 0
	ADDLW      1
	SUBLW      8
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      Soft_W5100_Get_Request_FreeSize_L0+0
	MOVF       R0+1, 0
	MOVWF      Soft_W5100_Get_Request_FreeSize_L0+1
;softw5100.c,320 :: 		Soft_W5100_ReadRxBuffer(PhisycalAddress,ReceiveBuffer,FreeSize);
	MOVF       Soft_W5100_Get_Request_PhisycalAddress_L0+0, 0
	MOVWF      FARG_Soft_W5100_ReadRxBuffer_Address+0
	MOVF       Soft_W5100_Get_Request_PhisycalAddress_L0+1, 0
	MOVWF      FARG_Soft_W5100_ReadRxBuffer_Address+1
	MOVF       FARG_Soft_W5100_Get_Request_ReceiveBuffer+0, 0
	MOVWF      FARG_Soft_W5100_ReadRxBuffer_Destination+0
	MOVF       R0+0, 0
	MOVWF      FARG_Soft_W5100_ReadRxBuffer_Size+0
	MOVF       R0+1, 0
	MOVWF      FARG_Soft_W5100_ReadRxBuffer_Size+1
	CALL       _Soft_W5100_ReadRxBuffer+0
;softw5100.c,321 :: 		Soft_W5100_ReadRxBuffer(BASE_RX_BUFFER,ReceiveBuffer+FreeSize,ReceiveSize-FreeSize);
	MOVLW      0
	MOVWF      FARG_Soft_W5100_ReadRxBuffer_Address+0
	MOVLW      96
	MOVWF      FARG_Soft_W5100_ReadRxBuffer_Address+1
	MOVF       Soft_W5100_Get_Request_FreeSize_L0+0, 0
	ADDWF      FARG_Soft_W5100_Get_Request_ReceiveBuffer+0, 0
	MOVWF      FARG_Soft_W5100_ReadRxBuffer_Destination+0
	MOVF       Soft_W5100_Get_Request_FreeSize_L0+0, 0
	SUBWF      FARG_Soft_W5100_Get_Request_ReceiveSize+0, 0
	MOVWF      FARG_Soft_W5100_ReadRxBuffer_Size+0
	MOVF       Soft_W5100_Get_Request_FreeSize_L0+1, 0
	BTFSS      STATUS+0, 0
	ADDLW      1
	SUBWF      FARG_Soft_W5100_Get_Request_ReceiveSize+1, 0
	MOVWF      FARG_Soft_W5100_ReadRxBuffer_Size+1
	CALL       _Soft_W5100_ReadRxBuffer+0
;softw5100.c,322 :: 		}
	GOTO       L_Soft_W5100_Get_Request40
L_Soft_W5100_Get_Request39:
;softw5100.c,325 :: 		Soft_W5100_ReadRxBuffer(PhisycalAddress,ReceiveBuffer,ReceiveSize);
	MOVF       Soft_W5100_Get_Request_PhisycalAddress_L0+0, 0
	MOVWF      FARG_Soft_W5100_ReadRxBuffer_Address+0
	MOVF       Soft_W5100_Get_Request_PhisycalAddress_L0+1, 0
	MOVWF      FARG_Soft_W5100_ReadRxBuffer_Address+1
	MOVF       FARG_Soft_W5100_Get_Request_ReceiveBuffer+0, 0
	MOVWF      FARG_Soft_W5100_ReadRxBuffer_Destination+0
	MOVF       FARG_Soft_W5100_Get_Request_ReceiveSize+0, 0
	MOVWF      FARG_Soft_W5100_ReadRxBuffer_Size+0
	MOVF       FARG_Soft_W5100_Get_Request_ReceiveSize+1, 0
	MOVWF      FARG_Soft_W5100_ReadRxBuffer_Size+1
	CALL       _Soft_W5100_ReadRxBuffer+0
;softw5100.c,326 :: 		}
L_Soft_W5100_Get_Request40:
;softw5100.c,328 :: 		MemoryPointer+=ReceiveSize;
	MOVF       FARG_Soft_W5100_Get_Request_ReceiveSize+0, 0
	ADDWF      Soft_W5100_Get_Request_MemoryPointer_L0+0, 0
	MOVWF      R5+0
	MOVF       Soft_W5100_Get_Request_MemoryPointer_L0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      FARG_Soft_W5100_Get_Request_ReceiveSize+1, 0
	MOVWF      R5+1
	MOVF       R5+0, 0
	MOVWF      Soft_W5100_Get_Request_MemoryPointer_L0+0
	MOVF       R5+1, 0
	MOVWF      Soft_W5100_Get_Request_MemoryPointer_L0+1
;softw5100.c,331 :: 		HighByte=(MemoryPointer&0xff00)>>8;
	MOVLW      0
	ANDWF      R5+0, 0
	MOVWF      R3+0
	MOVF       R5+1, 0
	ANDLW      255
	MOVWF      R3+1
	MOVF       R3+1, 0
	MOVWF      R0+0
	CLRF       R0+1
;softw5100.c,332 :: 		LowByte=MemoryPointer&0x00ff;
	MOVLW      255
	ANDWF      R5+0, 0
	MOVWF      Soft_W5100_Get_Request_LowByte_L0+0
;softw5100.c,333 :: 		Soft_W5100_Write_Byte(SOCKET0_RX_READ_PTR,HighByte);
	MOVLW      40
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVF       R0+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,334 :: 		Soft_W5100_Write_Byte(SOCKET0_RX_READ_PTR+1,LowByte);
	MOVLW      41
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVF       Soft_W5100_Get_Request_LowByte_L0+0, 0
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,337 :: 		Soft_W5100_Write_Byte(SOCKET0_CONTROL_REGISTER,SOCKET_CONTROL_REGISTER_RECEIVE);
	MOVLW      1
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVLW      64
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,338 :: 		delay_us(10);
	MOVLW      8
	MOVWF      R13+0
L_Soft_W5100_Get_Request41:
	DECFSZ     R13+0, 1
	GOTO       L_Soft_W5100_Get_Request41
;softw5100.c,340 :: 		ReceiveBuffer[ReceiveSize-1]='\0';
	MOVLW      1
	SUBWF      FARG_Soft_W5100_Get_Request_ReceiveSize+0, 0
	MOVWF      R0+0
	MOVLW      0
	BTFSS      STATUS+0, 0
	ADDLW      1
	SUBWF      FARG_Soft_W5100_Get_Request_ReceiveSize+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	ADDWF      FARG_Soft_W5100_Get_Request_ReceiveBuffer+0, 0
	MOVWF      FSR
	CLRF       INDF+0
;softw5100.c,342 :: 		return 0;
	CLRF       R0+0
;softw5100.c,343 :: 		}
L_end_Soft_W5100_Get_Request:
	RETURN
; end of _Soft_W5100_Get_Request

_Soft_W5100_GetRequestSize:

;softw5100.c,345 :: 		unsigned int Soft_W5100_GetRequestSize()
;softw5100.c,348 :: 		Size=0;
	CLRF       Soft_W5100_GetRequestSize_Size_L0+0
	CLRF       Soft_W5100_GetRequestSize_Size_L0+1
;softw5100.c,349 :: 		Size=(unsigned int)Soft_W5100_Read_Byte(SOCKET0_RECEIVESIZE_REGISTER);
	MOVLW      38
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      Soft_W5100_GetRequestSize_Size_L0+0
	CLRF       Soft_W5100_GetRequestSize_Size_L0+1
;softw5100.c,350 :: 		Size=Size<<8;
	MOVF       Soft_W5100_GetRequestSize_Size_L0+0, 0
	MOVWF      Soft_W5100_GetRequestSize_Size_L0+1
	CLRF       Soft_W5100_GetRequestSize_Size_L0+0
;softw5100.c,351 :: 		Size=Size|(unsigned int)Soft_W5100_Read_Byte(SOCKET0_RECEIVESIZE_REGISTER+1);
	MOVLW      39
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVLW      0
	MOVWF      R0+1
	MOVF       Soft_W5100_GetRequestSize_Size_L0+0, 0
	IORWF      R0+0, 1
	MOVF       Soft_W5100_GetRequestSize_Size_L0+1, 0
	IORWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      Soft_W5100_GetRequestSize_Size_L0+0
	MOVF       R0+1, 0
	MOVWF      Soft_W5100_GetRequestSize_Size_L0+1
;softw5100.c,352 :: 		return Size;
;softw5100.c,353 :: 		}
L_end_Soft_W5100_GetRequestSize:
	RETURN
; end of _Soft_W5100_GetRequestSize

_Soft_W5100_GetLocalPort:

;softw5100.c,356 :: 		unsigned int Soft_W5100_GetLocalPort()
;softw5100.c,359 :: 		Val=(unsigned int)Soft_W5100_Read_Byte(SOCKET0_LOCAL_PORT);
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      Soft_W5100_GetLocalPort_Val_L0+0
	CLRF       Soft_W5100_GetLocalPort_Val_L0+1
;softw5100.c,360 :: 		Val=Val<<8;
	MOVF       Soft_W5100_GetLocalPort_Val_L0+0, 0
	MOVWF      Soft_W5100_GetLocalPort_Val_L0+1
	CLRF       Soft_W5100_GetLocalPort_Val_L0+0
;softw5100.c,361 :: 		Val=Val|(unsigned int)Soft_W5100_Read_Byte(SOCKET0_LOCAL_PORT+1);
	MOVLW      5
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVLW      0
	MOVWF      R0+1
	MOVF       Soft_W5100_GetLocalPort_Val_L0+0, 0
	IORWF      R0+0, 1
	MOVF       Soft_W5100_GetLocalPort_Val_L0+1, 0
	IORWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      Soft_W5100_GetLocalPort_Val_L0+0
	MOVF       R0+1, 0
	MOVWF      Soft_W5100_GetLocalPort_Val_L0+1
;softw5100.c,362 :: 		return Val;
;softw5100.c,363 :: 		}
L_end_Soft_W5100_GetLocalPort:
	RETURN
; end of _Soft_W5100_GetLocalPort

_Soft_W5100_GetRemotePort:

;softw5100.c,365 :: 		unsigned int Soft_W5100_GetRemotePort()
;softw5100.c,368 :: 		Val=(unsigned int)Soft_W5100_Read_Byte(SOCKET0_DESTINATION_PORT);
	MOVLW      16
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      Soft_W5100_GetRemotePort_Val_L0+0
	CLRF       Soft_W5100_GetRemotePort_Val_L0+1
;softw5100.c,369 :: 		Val=Val<<8;
	MOVF       Soft_W5100_GetRemotePort_Val_L0+0, 0
	MOVWF      Soft_W5100_GetRemotePort_Val_L0+1
	CLRF       Soft_W5100_GetRemotePort_Val_L0+0
;softw5100.c,370 :: 		Val=Val|(unsigned int)Soft_W5100_Read_Byte(SOCKET0_DESTINATION_PORT+1);
	MOVLW      17
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVLW      0
	MOVWF      R0+1
	MOVF       Soft_W5100_GetRemotePort_Val_L0+0, 0
	IORWF      R0+0, 1
	MOVF       Soft_W5100_GetRemotePort_Val_L0+1, 0
	IORWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      Soft_W5100_GetRemotePort_Val_L0+0
	MOVF       R0+1, 0
	MOVWF      Soft_W5100_GetRemotePort_Val_L0+1
;softw5100.c,371 :: 		return Val;
;softw5100.c,372 :: 		}
L_end_Soft_W5100_GetRemotePort:
	RETURN
; end of _Soft_W5100_GetRemotePort

_Soft_W5100_GetRemoteIp:

;softw5100.c,374 :: 		char* Soft_W5100_GetRemoteIp()
;softw5100.c,376 :: 		_Remote_Ip_Address_[0]=Soft_W5100_Read_Byte(SOCKET0_DESTINATION_IP);
	MOVLW      12
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Ip_Address_+0
;softw5100.c,377 :: 		_Remote_Ip_Address_[1]=Soft_W5100_Read_Byte(SOCKET0_DESTINATION_IP+1);
	MOVLW      13
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Ip_Address_+1
;softw5100.c,378 :: 		_Remote_Ip_Address_[2]=Soft_W5100_Read_Byte(SOCKET0_DESTINATION_IP+2);
	MOVLW      14
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Ip_Address_+2
;softw5100.c,379 :: 		_Remote_Ip_Address_[3]=Soft_W5100_Read_Byte(SOCKET0_DESTINATION_IP+3);
	MOVLW      15
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Ip_Address_+3
;softw5100.c,380 :: 		return _Remote_Ip_Address_;
	MOVLW      __Remote_Ip_Address_+0
	MOVWF      R0+0
;softw5100.c,381 :: 		}
L_end_Soft_W5100_GetRemoteIp:
	RETURN
; end of _Soft_W5100_GetRemoteIp

_Soft_W5100_GetRemoteMac:

;softw5100.c,383 :: 		char* Soft_W5100_GetRemoteMac()
;softw5100.c,385 :: 		_Remote_Mac_Address_[0]=Soft_W5100_Read_Byte(SOCKET0_DESTINATION_MAC);
	MOVLW      6
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Mac_Address_+0
;softw5100.c,386 :: 		_Remote_Mac_Address_[1]=Soft_W5100_Read_Byte(SOCKET0_DESTINATION_MAC+1);
	MOVLW      7
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Mac_Address_+1
;softw5100.c,387 :: 		_Remote_Mac_Address_[2]=Soft_W5100_Read_Byte(SOCKET0_DESTINATION_MAC+2);
	MOVLW      8
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Mac_Address_+2
;softw5100.c,388 :: 		_Remote_Mac_Address_[3]=Soft_W5100_Read_Byte(SOCKET0_DESTINATION_MAC+3);
	MOVLW      9
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Mac_Address_+3
;softw5100.c,389 :: 		_Remote_Mac_Address_[4]=Soft_W5100_Read_Byte(SOCKET0_DESTINATION_MAC+4);
	MOVLW      10
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Mac_Address_+4
;softw5100.c,390 :: 		_Remote_Mac_Address_[5]=Soft_W5100_Read_Byte(SOCKET0_DESTINATION_MAC+5);
	MOVLW      11
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Mac_Address_+5
;softw5100.c,391 :: 		return _Remote_Mac_Address_;
	MOVLW      __Remote_Mac_Address_+0
	MOVWF      R0+0
;softw5100.c,392 :: 		}
L_end_Soft_W5100_GetRemoteMac:
	RETURN
; end of _Soft_W5100_GetRemoteMac

_Soft_W5100_GetLocal_IpAddress:

;softw5100.c,394 :: 		char* Soft_W5100_GetLocal_IpAddress()
;softw5100.c,396 :: 		_Remote_Ip_Address_[0]=Soft_W5100_Read_Byte(DEVICE_IP);
	MOVLW      15
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Ip_Address_+0
;softw5100.c,397 :: 		_Remote_Ip_Address_[1]=Soft_W5100_Read_Byte(DEVICE_IP+1);
	MOVLW      16
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Ip_Address_+1
;softw5100.c,398 :: 		_Remote_Ip_Address_[2]=Soft_W5100_Read_Byte(DEVICE_IP+2);
	MOVLW      17
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Ip_Address_+2
;softw5100.c,399 :: 		_Remote_Ip_Address_[3]=Soft_W5100_Read_Byte(DEVICE_IP+3);
	MOVLW      18
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Ip_Address_+3
;softw5100.c,400 :: 		return _Remote_Ip_Address_;
	MOVLW      __Remote_Ip_Address_+0
	MOVWF      R0+0
;softw5100.c,401 :: 		}
L_end_Soft_W5100_GetLocal_IpAddress:
	RETURN
; end of _Soft_W5100_GetLocal_IpAddress

_Soft_W5100_GetLocal_MacAddress:

;softw5100.c,403 :: 		char* Soft_W5100_GetLocal_MacAddress()
;softw5100.c,405 :: 		_Remote_Mac_Address_[0]=Soft_W5100_Read_Byte(MAC);
	MOVLW      9
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Mac_Address_+0
;softw5100.c,406 :: 		_Remote_Mac_Address_[1]=Soft_W5100_Read_Byte(MAC+1);
	MOVLW      10
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Mac_Address_+1
;softw5100.c,407 :: 		_Remote_Mac_Address_[2]=Soft_W5100_Read_Byte(MAC+2);
	MOVLW      11
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Mac_Address_+2
;softw5100.c,408 :: 		_Remote_Mac_Address_[3]=Soft_W5100_Read_Byte(MAC+3);
	MOVLW      12
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Mac_Address_+3
;softw5100.c,409 :: 		_Remote_Mac_Address_[4]=Soft_W5100_Read_Byte(MAC+4);
	MOVLW      13
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Mac_Address_+4
;softw5100.c,410 :: 		_Remote_Mac_Address_[5]=Soft_W5100_Read_Byte(MAC+5);
	MOVLW      14
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Mac_Address_+5
;softw5100.c,411 :: 		return _Remote_Mac_Address_;
	MOVLW      __Remote_Mac_Address_+0
	MOVWF      R0+0
;softw5100.c,412 :: 		}
L_end_Soft_W5100_GetLocal_MacAddress:
	RETURN
; end of _Soft_W5100_GetLocal_MacAddress

_Soft_W5100_GetLocal_SubnetMask:

;softw5100.c,414 :: 		char* Soft_W5100_GetLocal_SubnetMask()
;softw5100.c,416 :: 		_Remote_Ip_Address_[0]=Soft_W5100_Read_Byte(SUBNET_MASK);
	MOVLW      5
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Ip_Address_+0
;softw5100.c,417 :: 		_Remote_Ip_Address_[1]=Soft_W5100_Read_Byte(SUBNET_MASK+1);
	MOVLW      6
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Ip_Address_+1
;softw5100.c,418 :: 		_Remote_Ip_Address_[2]=Soft_W5100_Read_Byte(SUBNET_MASK+2);
	MOVLW      7
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Ip_Address_+2
;softw5100.c,419 :: 		_Remote_Ip_Address_[3]=Soft_W5100_Read_Byte(SUBNET_MASK+3);
	MOVLW      8
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Ip_Address_+3
;softw5100.c,420 :: 		return _Remote_Ip_Address_;
	MOVLW      __Remote_Ip_Address_+0
	MOVWF      R0+0
;softw5100.c,421 :: 		}
L_end_Soft_W5100_GetLocal_SubnetMask:
	RETURN
; end of _Soft_W5100_GetLocal_SubnetMask

_Soft_W5100_GetLocal_DefaultGateway:

;softw5100.c,423 :: 		char* Soft_W5100_GetLocal_DefaultGateway()
;softw5100.c,425 :: 		_Remote_Ip_Address_[0]=Soft_W5100_Read_Byte(GATE_WAY_ADDRESS);
	MOVLW      1
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Ip_Address_+0
;softw5100.c,426 :: 		_Remote_Ip_Address_[1]=Soft_W5100_Read_Byte(GATE_WAY_ADDRESS+1);
	MOVLW      2
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Ip_Address_+1
;softw5100.c,427 :: 		_Remote_Ip_Address_[2]=Soft_W5100_Read_Byte(GATE_WAY_ADDRESS+2);
	MOVLW      3
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Ip_Address_+2
;softw5100.c,428 :: 		_Remote_Ip_Address_[3]=Soft_W5100_Read_Byte(GATE_WAY_ADDRESS+3);
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	MOVWF      __Remote_Ip_Address_+3
;softw5100.c,429 :: 		return _Remote_Ip_Address_;
	MOVLW      __Remote_Ip_Address_+0
	MOVWF      R0+0
;softw5100.c,430 :: 		}
L_end_Soft_W5100_GetLocal_DefaultGateway:
	RETURN
; end of _Soft_W5100_GetLocal_DefaultGateway

_Soft_W5100_UpdateSocketStatus:

;softw5100.c,433 :: 		void Soft_W5100_UpdateSocketStatus()
;softw5100.c,441 :: 		Socket0 =Soft_W5100_ReadStatusRegister();
	CALL       _Soft_W5100_ReadStatusRegister+0
	MOVF       R0+0, 0
	MOVWF      _Socket0+0
;softw5100.c,442 :: 		switch(Socket0)
	GOTO       L_Soft_W5100_UpdateSocketStatus42
;softw5100.c,445 :: 		case SOCKET_CLOSED_STATUS:
L_Soft_W5100_UpdateSocketStatus44:
;softw5100.c,446 :: 		if (Soft_W5100_InitSocket(80)==0) {
	MOVLW      80
	MOVWF      FARG_Soft_W5100_InitSocket_PORT+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_InitSocket_PORT+1
	CALL       _Soft_W5100_InitSocket+0
	MOVF       R0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_Soft_W5100_UpdateSocketStatus45
;softw5100.c,447 :: 		if (Soft_W5100_StartListening()==0);
	CALL       _Soft_W5100_StartListening+0
	MOVF       R0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_Soft_W5100_UpdateSocketStatus46
L_Soft_W5100_UpdateSocketStatus46:
;softw5100.c,448 :: 		delay_ms(1000);
	MOVLW      13
	MOVWF      R11+0
	MOVLW      175
	MOVWF      R12+0
	MOVLW      182
	MOVWF      R13+0
L_Soft_W5100_UpdateSocketStatus47:
	DECFSZ     R13+0, 1
	GOTO       L_Soft_W5100_UpdateSocketStatus47
	DECFSZ     R12+0, 1
	GOTO       L_Soft_W5100_UpdateSocketStatus47
	DECFSZ     R11+0, 1
	GOTO       L_Soft_W5100_UpdateSocketStatus47
	NOP
;softw5100.c,449 :: 		}
L_Soft_W5100_UpdateSocketStatus45:
;softw5100.c,450 :: 		break;
	GOTO       L_Soft_W5100_UpdateSocketStatus43
;softw5100.c,453 :: 		case SOCKET_ESTABLISHED_STATUS:
L_Soft_W5100_UpdateSocketStatus48:
;softw5100.c,454 :: 		RequestSize=Soft_W5100_GetRequestSize();
	CALL       _Soft_W5100_GetRequestSize+0
	MOVF       R0+0, 0
	MOVWF      Soft_W5100_UpdateSocketStatus_RequestSize_L0+0
	MOVF       R0+1, 0
	MOVWF      Soft_W5100_UpdateSocketStatus_RequestSize_L0+1
;softw5100.c,455 :: 		if(RequestSize>0){
	MOVF       R0+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Soft_W5100_UpdateSocketStatus95
	MOVF       R0+0, 0
	SUBLW      0
L__Soft_W5100_UpdateSocketStatus95:
	BTFSC      STATUS+0, 0
	GOTO       L_Soft_W5100_UpdateSocketStatus49
;softw5100.c,456 :: 		rmac=Soft_W5100_GetRemoteMac();
	CALL       _Soft_W5100_GetRemoteMac+0
	MOVF       R0+0, 0
	MOVWF      Soft_W5100_UpdateSocketStatus_rmac_L0+0
;softw5100.c,457 :: 		rip=Soft_W5100_GetRemoteIp();
	CALL       _Soft_W5100_GetRemoteIp+0
	MOVF       R0+0, 0
	MOVWF      Soft_W5100_UpdateSocketStatus_rip_L0+0
;softw5100.c,458 :: 		lp=Soft_W5100_GetLocalPort();
	CALL       _Soft_W5100_GetLocalPort+0
	MOVF       R0+0, 0
	MOVWF      Soft_W5100_UpdateSocketStatus_lp_L0+0
	MOVF       R0+1, 0
	MOVWF      Soft_W5100_UpdateSocketStatus_lp_L0+1
;softw5100.c,459 :: 		rp=Soft_W5100_GetRemotePort();
	CALL       _Soft_W5100_GetRemotePort+0
;softw5100.c,460 :: 		ProcessTcpRequest(rip,rmac,rp,lp,RequestSize);
	MOVF       Soft_W5100_UpdateSocketStatus_rip_L0+0, 0
	MOVWF      FARG_ProcessTcpRequest_Remote_Ip+0
	MOVF       Soft_W5100_UpdateSocketStatus_rmac_L0+0, 0
	MOVWF      FARG_ProcessTcpRequest_Remote_Mac+0
	MOVF       R0+0, 0
	MOVWF      FARG_ProcessTcpRequest_Remote_Port+0
	MOVF       R0+1, 0
	MOVWF      FARG_ProcessTcpRequest_Remote_Port+1
	MOVF       Soft_W5100_UpdateSocketStatus_lp_L0+0, 0
	MOVWF      FARG_ProcessTcpRequest_Local_port+0
	MOVF       Soft_W5100_UpdateSocketStatus_lp_L0+1, 0
	MOVWF      FARG_ProcessTcpRequest_Local_port+1
	MOVF       Soft_W5100_UpdateSocketStatus_RequestSize_L0+0, 0
	MOVWF      FARG_ProcessTcpRequest_RequestLength+0
	MOVF       Soft_W5100_UpdateSocketStatus_RequestSize_L0+1, 0
	MOVWF      FARG_ProcessTcpRequest_RequestLength+1
	CALL       _ProcessTcpRequest+0
;softw5100.c,461 :: 		Soft_W5100_DisconnectSocket();}
	CALL       _Soft_W5100_DisconnectSocket+0
L_Soft_W5100_UpdateSocketStatus49:
;softw5100.c,462 :: 		break;
	GOTO       L_Soft_W5100_UpdateSocketStatus43
;softw5100.c,464 :: 		default:
L_Soft_W5100_UpdateSocketStatus50:
;softw5100.c,465 :: 		Soft_W5100_CloseSocket();
	CALL       _Soft_W5100_CloseSocket+0
;softw5100.c,466 :: 		break;
	GOTO       L_Soft_W5100_UpdateSocketStatus43
;softw5100.c,467 :: 		}
L_Soft_W5100_UpdateSocketStatus42:
	MOVF       _Socket0+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_Soft_W5100_UpdateSocketStatus44
	MOVF       _Socket0+0, 0
	XORLW      23
	BTFSC      STATUS+0, 2
	GOTO       L_Soft_W5100_UpdateSocketStatus48
	GOTO       L_Soft_W5100_UpdateSocketStatus50
L_Soft_W5100_UpdateSocketStatus43:
;softw5100.c,468 :: 		}
L_end_Soft_W5100_UpdateSocketStatus:
	RETURN
; end of _Soft_W5100_UpdateSocketStatus

_SendPage:

;softw5100.c,471 :: 		void SendPage()
;softw5100.c,474 :: 		Soft_W5100_Write_Byte(SOCKET0_CONTROL_REGISTER,SOCKET_CONTROL_REGISTER_SEND);
	MOVLW      1
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Write_Byte_Address+1
	MOVLW      32
	MOVWF      FARG_Soft_W5100_Write_Byte_DATA+0
	CALL       _Soft_W5100_Write_Byte+0
;softw5100.c,476 :: 		while(Soft_W5100_Read_Byte(SOCKET0_CONTROL_REGISTER));
L_SendPage51:
	MOVLW      1
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+0
	MOVLW      4
	MOVWF      FARG_Soft_W5100_Read_Byte_Address+1
	CALL       _Soft_W5100_Read_Byte+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_SendPage52
	GOTO       L_SendPage51
L_SendPage52:
;softw5100.c,477 :: 		}
L_end_SendPage:
	RETURN
; end of _SendPage

_ConstStringLength:

;MyProject.c,74 :: 		unsigned int ConstStringLength(const char* String)// Returns The Length For A Const String
;MyProject.c,77 :: 		for(__c__=0;*String;String++)__c__++;
	CLRF       R2+0
	CLRF       R2+1
L_ConstStringLength53:
	MOVF       FARG_ConstStringLength_String+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       FARG_ConstStringLength_String+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      R0+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_ConstStringLength54
	INCF       R2+0, 1
	BTFSC      STATUS+0, 2
	INCF       R2+1, 1
	INCF       FARG_ConstStringLength_String+0, 1
	BTFSC      STATUS+0, 2
	INCF       FARG_ConstStringLength_String+1, 1
	GOTO       L_ConstStringLength53
L_ConstStringLength54:
;MyProject.c,78 :: 		return __c__;
	MOVF       R2+0, 0
	MOVWF      R0+0
	MOVF       R2+1, 0
	MOVWF      R0+1
;MyProject.c,79 :: 		}
L_end_ConstStringLength:
	RETURN
; end of _ConstStringLength

_ProcessTcpRequest:

;MyProject.c,81 :: 		void ProcessTcpRequest(char* Remote_Ip, char* Remote_Mac, unsigned int Remote_Port, unsigned int Local_port, unsigned int RequestLength)
;MyProject.c,83 :: 		Soft_W5100_Get_Request(Req,20);//Upon Receive Copy The Request From W5100 Rx Buffer To Req[]
	MOVLW      _Req+0
	MOVWF      FARG_Soft_W5100_Get_Request_ReceiveBuffer+0
	MOVLW      20
	MOVWF      FARG_Soft_W5100_Get_Request_ReceiveSize+0
	MOVLW      0
	MOVWF      FARG_Soft_W5100_Get_Request_ReceiveSize+1
	CALL       _Soft_W5100_Get_Request+0
;MyProject.c,84 :: 		Soft_W5100_Write_ConstPage(TestPage1,ConstStringLength(TestPage1)-1); //Fill W5100 Tx Buffer Test Page Upon Request
	MOVLW      _TestPage1+0
	MOVWF      FARG_ConstStringLength_String+0
	MOVLW      hi_addr(_TestPage1+0)
	MOVWF      FARG_ConstStringLength_String+1
	CALL       _ConstStringLength+0
	MOVLW      1
	SUBWF      R0+0, 0
	MOVWF      FARG_Soft_W5100_Write_ConstPage_SendSize+0
	MOVLW      0
	BTFSS      STATUS+0, 0
	ADDLW      1
	SUBWF      R0+1, 0
	MOVWF      FARG_Soft_W5100_Write_ConstPage_SendSize+1
	MOVLW      _TestPage1+0
	MOVWF      FARG_Soft_W5100_Write_ConstPage_TxBuffer+0
	MOVLW      hi_addr(_TestPage1+0)
	MOVWF      FARG_Soft_W5100_Write_ConstPage_TxBuffer+1
	CALL       _Soft_W5100_Write_ConstPage+0
;MyProject.c,85 :: 		SendPage();//Funtion For Sending The Data Out Of W5100 Tx Buffers
	CALL       _SendPage+0
;MyProject.c,86 :: 		}
L_end_ProcessTcpRequest:
	RETURN
; end of _ProcessTcpRequest

_main:

;MyProject.c,90 :: 		void main()
;MyProject.c,92 :: 		Soft_W5100_Hardware_Init();//intialize hardware
	CALL       _Soft_W5100_Hardware_Init+0
;MyProject.c,93 :: 		Soft_W5100_Init(IpBuf,SubBuf,GWBuf,McBuf);//Init W5100 Module
	MOVLW      _IpBuf+0
	MOVWF      FARG_Soft_W5100_Init_IpAddress+0
	MOVLW      _SubBuf+0
	MOVWF      FARG_Soft_W5100_Init_Subnet+0
	MOVLW      _GWBuf+0
	MOVWF      FARG_Soft_W5100_Init_Gatway+0
	MOVLW      _McBuf+0
	MOVWF      FARG_Soft_W5100_Init_MacAddress+0
	CALL       _Soft_W5100_Init+0
;MyProject.c,95 :: 		delay_ms(100);// Wait A Little
	MOVLW      2
	MOVWF      R11+0
	MOVLW      69
	MOVWF      R12+0
	MOVLW      169
	MOVWF      R13+0
L_main56:
	DECFSZ     R13+0, 1
	GOTO       L_main56
	DECFSZ     R12+0, 1
	GOTO       L_main56
	DECFSZ     R11+0, 1
	GOTO       L_main56
	NOP
	NOP
;MyProject.c,97 :: 		while(1)
L_main57:
;MyProject.c,99 :: 		Soft_W5100_UpdateSocketStatus();// Update Socket
	CALL       _Soft_W5100_UpdateSocketStatus+0
;MyProject.c,100 :: 		}
	GOTO       L_main57
;MyProject.c,102 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
